<!--
title: Knative - Knative Documentation
menuText: Knative
menuOrder: 5
layout: Doc
-->

<!-- DOCS-SITE-LINK:START automatically generated  -->

### [Read this on the main serverless docs site](https://www.serverless.com/framework/docs/providers/knative/)

<!-- DOCS-SITE-LINK:END -->

# Knative Provider Documentation

<div class="docsSections">
  <div class="docsSection">
    <div class="docsSectionSubHeader">
      <h4>Guides</h4>
    </div>
    <div class="docsProviderItems">
      <ul>
        <li><a href="./guide/intro.md">Intro</a></li>
        <li><a href="./guide/installation.md">Installation</a></li>
        <li><a href="./guide/quick-start.md">Quickstart</a></li>
        <li><a href="./guide/credentials.md">Credentials</a></li>
        <li><a href="./guide/services.md">Services</a></li>
        <li><a href="./guide/functions.md">Functions</a></li>
        <li><a href="./guide/events.md">Events</a></li>
        <li><a href="./guide/deploying.md">Deploying</a></li>
        <li><a href="./guide/variables.md">Variables</a></li>
        <li><a href="./guide/packaging.md">Packaging</a></li>
        <li><a href="./guide/plugins.md">Plugins</a></li>
        <li><a href="./guide/workflow.md">Workflow</a></li>
      </ul>
    </div>
  </div>

  <div class="docsSection">
    <div class="docsSectionSubHeader">
      <h4>CLI references</h4>
    </div>
    <div class="docsProviderItems">
      <ul>
        <li><a href="./cli-reference/create.md">Create</a></li>
        <li><a href="./cli-reference/install.md">Install</a></li>
        <li><a href="./cli-reference/deploy.md">Deploy</a></li>
        <li><a href="./cli-reference/invoke.md">Invoke</a></li>
        <li><a href="./cli-reference/info.md">Info</a></li>
        <li><a href="./cli-reference/remove.md">Remove</a></li>
      </ul>
    </div>
  </div>

  <div class="docsSection">
    <div class="docsSectionSubHeader">
      <h4>Events</h4>
    </div>
    <div class="docsProviderItems">
      <ul>
        <li><a href="./events/custom.md">Custom</a></li>
        <li><a href="./events/kafka.md">Kafka</a></li>
        <li><a href="./events/gcp-pub-sub.md">Google Cloud PubSub</a></li>
        <li><a href="./events/aws-sqs.md">AWS SQS</a></li>
        <li><a href="./events/cron.md">Cron</a></li>
      </ul>
    </div>
  </div>
